# AIAbstractListSorterValueDescending Class Reference

Sort by value, descending. More...

Inheritance diagram for AIAbstractListSorterValueDescending:

## Public Member Functions

| AIAbstractListSorterValueDescending (AIAbstractList *list)
int32 | Begin ()
| Get the first item of the sorter.
void | End ()
| Stop iterating a sorter.
void | FindNext ()
int32 | Next ()
| Get the next item of the sorter.
void | Remove (int item)
| Callback from the list if an item gets removed.
bool | HasNext ()
| See if there is a next item of the sorter.

## Private Attributes

AIAbstractList::AIAbstractListBucket::iterator | bucket_iter
AIAbstractList::AIItemList * | bucket_list
AIAbstractList::AIItemList::iterator | bucket_list_iter
bool | has_no_more_items
int32 | item_next

## Detailed Description

Sort by value, descending.

Definition at line 144 of file ai_abstractlist.cpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_abstractlist.cpp